/*
 * Copyright (c) 2005 Sun Microsystems, Inc.
 * All rights reserved.
 */
package simple.server;

import javax.xml.ws.WebServiceContext;
import javax.jws.WebService;
import javax.xml.ws.handler.MessageContext;
import javax.annotation.Resource;
import simple.server.IPingService;
import interopbaseaddress.interop.PingRequest;
import interopbaseaddress.interop.PingResponse;
import org.xmlsoap.ping.Ping;
import org.xmlsoap.ping.PingResponseBody;
                                                                                                                                       
@javax.ejb.Stateless
@javax.jws.WebService(endpointInterface="simple.server.IPingService",
targetNamespace="http://InteropBaseAddress/interop",
        portName="X-NoTimestamp_IPingService",
        serviceName="PingService11",
        wsdlLocation="META-INF/wsdl/WsSecurity11.wsdl")
        @javax.xml.ws.BindingType(value=javax.xml.ws.soap.SOAPBinding.SOAP12HTTP_BINDING)
        public class PingImpl_X_NoTimestamp implements IPingService {
    
    @Resource WebServiceContext context;
                                                                                                                                       
   public PingResponse ping(PingRequest pingrequest) {
	    Ping ping = pingrequest.getPing();
		System.out.println("The message is here with: ");
		System.out.println("Scanario: "+ ping.getScenario());
		System.out.println("Origin: "+ ping.getOrigin());
		System.out.println("Text: "+ ping.getText());

        try {
        javax.security.auth.Subject subj = com.sun.xml.wss.SubjectAccessor.getRequesterSubject(context);
        System.out.println("Subject is : " + subj);
        } catch(Exception e) {
            e.printStackTrace();
        }
        PingResponse pingresponse = new PingResponse();

		PingResponseBody pingresponsebody = new PingResponseBody();
		pingresponsebody.setScenario(ping.getScenario());
		pingresponsebody.setOrigin(ping.getOrigin());
		pingresponsebody.setText(ping.getText());

        pingresponse.setPingResponse(pingresponsebody);
        return pingresponse;
    }                    
}
